from settings import http, configuration
from models import BaseModel
from helpers.postgre_alchemy import postgre_alchemy as db
import datetime

class BpsPodes201432KecamatanModel(BaseModel, db.Model):
    """Model for the bps_podes2014_32_kecamatan table"""
    __tablename__ = 'podes2014_32_kecamatan'
    __table_args__ = {'schema': 'bps'}

    # start model
    LEVEL_WILA = db.Column(db.String(1))
    R101 = db.Column(db.String(2))
    R101N = db.Column(db.String(150))
    R102 = db.Column(db.String(2))
    R102N = db.Column(db.String(150))
    R103 = db.Column(db.String(3))
    R103N = db.Column(db.String(150))
    KCR303 = db.Column(db.String(1))
    KCR304A = db.Column(db.String(1))
    KCR304B = db.Column(db.String(1))
    KCR401AK2 = db.Column(db.String(1))
    KCR401AK3 = db.Column(db.Integer)
    KCR401BK2 = db.Column(db.String(1))
    KCR401BK3 = db.Column(db.Integer)
    KCR401CK2 = db.Column(db.String(1))
    KCR401CK3 = db.Column(db.Integer)
    KCR501A = db.Column(db.Integer)
    KCR501B = db.Column(db.Integer)
    KCR601AK2 = db.Column(db.String(1))
    KCR601AK3 = db.Column(db.Integer)
    KCR601BK2 = db.Column(db.String(1))
    KCR601BK3 = db.Column(db.Integer)
    KCR601CK2 = db.Column(db.String(1))
    KCR601CK3 = db.Column(db.Integer)
    KCR601DK2 = db.Column(db.String(1))
    KCR601DK3 = db.Column(db.Integer)
    KCR601EK2 = db.Column(db.String(1))
    KCR601EK3 = db.Column(db.Integer)
    KCR601FK2 = db.Column(db.String(1))
    KCR601FK3 = db.Column(db.Integer)
    KCR601GK2 = db.Column(db.String(1))
    KCR601GK3 = db.Column(db.Integer)
    KCR701A = db.Column(db.String(1))
    KCR701B1 = db.Column(db.Integer)
    KCR702AK2 = db.Column(db.String(1))
    KCR702AK3 = db.Column(db.Integer)
    KCR702BK2 = db.Column(db.String(1))
    KCR702BK3 = db.Column(db.Integer)
    KCR702CK2 = db.Column(db.String(1))
    KCR702CK3 = db.Column(db.Integer)
    KCR702DK2 = db.Column(db.String(1))
    KCR702DK3 = db.Column(db.Integer)
    KCR702EK2 = db.Column(db.String(1))
    KCR702EK3 = db.Column(db.Integer)
    KCR702FK2 = db.Column(db.String(1))
    KCR702FK3 = db.Column(db.Integer)
    KCR702GK2 = db.Column(db.String(1))
    KCR702GK3 = db.Column(db.Integer)
    KCR801 = db.Column(db.Integer)
    KCR802AK2 = db.Column(db.String(1))
    KCR802AK3 = db.Column(db.Integer)
    KCR802BK2 = db.Column(db.String(1))
    KCR802BK3 = db.Column(db.Integer)
    KCR803A = db.Column(db.String(1))
    KCR803B1K2 = db.Column(db.Integer)
    KCR803B1K3 = db.Column(db.String(1))
    KCR803B2K2 = db.Column(db.Integer)
    KCR803B2K3 = db.Column(db.String(1))
    KCR803B3K2 = db.Column(db.Integer)
    KCR803B3K3 = db.Column(db.String(1))
    KCR803B4K2 = db.Column(db.Integer)
    KCR803B4K3 = db.Column(db.String(1))
    KCR803B5K2 = db.Column(db.Integer)
    KCR803B5K3 = db.Column(db.String(1))
    KCR803B6K2 = db.Column(db.Integer)
    KCR803B6K3 = db.Column(db.String(1))
    KCR804A = db.Column(db.String(1))
    KCR804B = db.Column(db.String(1))
    KCR901AK2 = db.Column(db.Integer)
    KCR901AK3 = db.Column(db.String(1))
    KCR901BK2 = db.Column(db.Integer)
    KCR901BK3 = db.Column(db.String(1))
    KCR901CK2 = db.Column(db.Integer)
    KCR901CK3 = db.Column(db.String(1))
    KCR901DK2 = db.Column(db.Integer)
    KCR901DK3 = db.Column(db.String(1))
    KCR901EK2 = db.Column(db.Integer)
    KCR901EK3 = db.Column(db.String(1))
    KCR901FK2 = db.Column(db.Integer)
    KCR901FK3 = db.Column(db.String(1))
    KCR901GK2 = db.Column(db.Integer)
    KCR901GK3 = db.Column(db.String(1))
    KCR1001A = db.Column(db.String(1))
    KCR1001B = db.Column(db.String(1))
    KCR1002 = db.Column(db.String(1))
    KCR1101AK2 = db.Column(db.String(1))
    KCR1101AK3 = db.Column(db.Integer)
    KCR1101AK4 = db.Column(db.String(1))
    KCR1101AK5 = db.Column(db.String(1))
    KCR1101BK2 = db.Column(db.String(1))
    KCR1101BK3 = db.Column(db.Integer)
    KCR1101BK4 = db.Column(db.String(1))
    KCR1101BK5 = db.Column(db.String(1))
    FILTER__ = db.Column(db.Integer)
    id = db.Column(db.Integer, primary_key=True)
